# runtimeInfo

Runtime information including eBPF loading status and cloud contexts.

### Examples

```graphql
type RuntimeInfo {
  runtimeStatus: String
  cloudContexts: [RuntimeContext]
}
```

### Fields

| Field                                                                                                            | Description                                                 | Supported fields                                                                                                                                                                                               |
| ---------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| runtimeStatus `String`                                                                                           | Runtime status of the library indicating eBPF loading state |                                                                                                                                                                                                                |
| cloudContexts [`[RuntimeContext]`](/api-documentation/api-reference/api--issue/types/objects/runtime-context.md) | List of cloud contexts where the library was observed       | <p>provider <code>String</code><br>accountId <code>String</code><br>region <code>String</code><br>clusterName <code>String</code><br>namespace <code>String</code><br>containerRuntime <code>String</code></p> |

### References

#### Fields with this object:

* [{} SCAVulnerability.runtimeContext](/api-documentation/api-reference/api--issue/types/objects/sca-vulnerability.md)
* [{} SbomLib.runtimeContext](/api-documentation/api-reference/api--issue/types/objects/sbom-lib.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/runtime-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
